public static interface OAIPMHEndpointBuilderFactory.OAIPMHBuilders
| Modifier and Type | Method and Description |
|---|---|
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
oaipmh(String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder |
oaipmh(String componentName,
String path)
OAI-PMH (camel-oaipmh)
Harvest metadata using OAI-PMH protocol
Category: endpoint,webservice,batch
Since: 3.5
Maven coordinates: org.apache.camel:camel-oaipmh
Syntax:
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocol |
default OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder oaipmh(String path)
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocolpath - baseUrldefault OAIPMHEndpointBuilderFactory.OAIPMHEndpointBuilder oaipmh(String componentName, String path)
oaipmh:baseUrl
Path parameter: baseUrl (required)
Base URL of the repository to which the request is made through the
OAI-PMH protocolcomponentName - to use a custom component name for the endpoint
instead of the default namepath - baseUrlApache Camel